> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/dsx-air/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/dsx-air/_mcp/server.

# List all plugin manifests

GET https://api.dsx-air.nvidia.com/api/v3/manifests/plugin-images/

Admin clients may view all plugin manifests; all other simulator engine developers can view and edit plugin manifests in an organization they are a member of.

**Required scope:** `air:manifest_read` (roles: `air_simengine_debugger`, `air_simengine_developer`)

Reference: https://docs.nvidia.com/dsx-air/api-reference/manifests/api-v-3-manifests-plugin-images-list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `emulation_type` (string, optional) — Filter by the emulation type.
- `id` (string, optional) — Filter by the UUID of the plugin manifest.
- `limit` (integer, optional) — Number of results to return per page.
- `offset` (integer, optional) — The initial index from which to return the results.
- `ordering` (enum, optional) — Order objects by field. Prefix with `-` for descending order.
  - Allowed values: `-created`, `-emulation_type`, `-modified`, `created`, `emulation_type`, `modified`
- `search` (string, optional) — Search by `id`, `emulation_type`, or `simulator_image_name`.
- `simulator_image` (string, optional) — Filter by the UUID of the simulator image the manifest uses.

## Response

### 200

- `count` (integer, required)
- `results` (list of object, required)
  - `id` (string, required)
  - `created` (datetime, required)
  - `modified` (datetime, required)
  - `org_name` (string, required, nullable) — Organization this plugin manifest belongs to. Set to `None` for plugin manifests of published simulator images originating from current organization.
  - `docker_run_parameters` (object, required) — Docker run parameters for the simulator container.
    - `tmpfs` (list of object, optional) — `tmpfs` volumes to configure for the simulator container.
      - `path` (string, required) — Absolute POSIX path within the container to mount the file system to.
      - `size_gb` (integer, required) — File system size, in GB.
    - `cap_add` (list of enum, optional) — Linux capabilities to assign to the simulator container. The default capabilities will always be applied.
      - Allowed values: `NET_ADMIN`, `SYS_NICE`, `SYS_RESOURCE`, `IPC_OWNER`, `IPC_LOCK`
    - `devices` (list of enum, optional) — Host devices to mount to the simulator container. The default devices will always be applied.
      - Allowed values: `/dev/kvm`, `/dev/net/tun`
    - `volumes` (list of enum, optional) — Host volumes to mount to the simulator container.
      - Allowed values: `/sys/fs/cgroup:/sys/fs/cgroup:rw`, `/dev/mqueue:/dev/mqueue:rw`
    - `environment` (map from string to string, optional) — Environment variables to define for the simulator container.
    - `shm_size_mib` (integer, optional, default: 64) — Shared memory size, in MiB.
    - `ulimits` (object, optional) — `ulimits` configuration for the simulator container.
      - `msgqueue` (object, required) — Limits for the `msgqueue` resource.
        - `soft` (integer, optional, default: 819200) — Soft limit in bytes. Must be less than or equal to the hard limit.
        - `hard` (integer, optional, default: 819200) — Hard limit in bytes. Must be greater than or equal to the soft limit.
  - `emulation_type` (string, required) — The type of simulation engine to which the plugin manifest applies.
  - `platform_information` (map from string to object, required) — Configuration for specific hardware models emulated by this plugin manifest.
    - `cpu` (double, required) — vCPU overhead.
    - `memory` (integer, required) — Memory overhead, in MiB.
    - `default_port_type` (string, optional) — Default value for `port_type` value.
    - `default_port_count` (integer, optional) — Default amount of ports to choose for the model. Must be one of `port_count_options`.
    - `port_count_options` (list of integer, optional) — Available options for `number_of_ports` value.
  - `simulator_image` (string, required) — Simulator image associated with this plugin manifest.
  - `simulator_resources` (object, required) — Resource overhead for simulator processes.
    - `cpu` (double, required) — vCPU overhead.
    - `memory` (integer, required) — Memory overhead, in MiB.
  - `artifacts_directory` (string, optional, default: /artifacts) — Absolute POSIX path inside the simulator container to mount the artifacts disk to.
  - `artifacts_directory_max_size_gb` (integer, optional, default: 10) — Artifacts disk size, in GB.
  - `boot_group` (integer, optional, default: 50) — Boot group of nodes emulated by this plugin manifest.
  - `configure_node_properties` (map from string to any, optional) — Desired fields (and defaults) for node configuration API call.
  - `configure_simulator` (map from string to any, optional) — Desired fields (and defaults) for simulator configuration API call.
  - `hardware_emulation` (boolean, optional, default: true) — Whether this manifest emulates a real hardware model. Set to True for manifests that emulate a specific hardware platform, and False for manifests that do not (they run a plain VM without modeling specific hardware).
  - `simulation_engine_versions` (list of string, optional) — Additional simulator image versions this plugin manifest can be used with.
  - `seccomp_policy_version` (string, optional, nullable) — Version of the seccomp security policy to apply to nodes using this manifest.
  - `apparmor_policy_version` (string, optional, nullable) — Version of the AppArmor security policy to apply to nodes using this manifest.
  - `emulation_params` (object, optional) — Emulation parameters for the plugin manifest.
    - `direct_link_emulation` (boolean, optional, default: true) — Whether this plugin manifest emulates interfaces connected directly to the host.
    - `max_network_pci` (integer, optional, default: -1) — Maximum amount of network PCI entities which can be connected to a host emulated by this plugin manifest. Set to `-1` to bypass the limit.
  - `port_mapping_required` (boolean, optional) — Whether a matching port mapping per platform is required to be present for this plugin manifest to be used.
  - `platform_information_version` (string, optional) — Version of the platform information to resolve for this engine when `port_mapping_required` is set. Resolved together with this manifest `emulation_type` and the node's model.
  - `hypervisor_api` (enum or enum or any, optional, nullable) — The API of the hypervisor to use for this plugin manifest. * `libvirt` - Libvirt API
  - `node_features` (object, optional) — Per-manifest opt-in catalogue of node features. Presence of a key enables the feature; the value carries any feature-specific configuration. Updates replace the dict in full.
    - `agent_injection` (object, optional) — Enable Air agent injection on the node.
    - `cdrom` (object, optional) — Enable CD-ROM device assignments on the node.
    - `cloud_init` (object, optional) — Enable cloud-init configuration on the node.
    - `bios` (object, optional) — Enable UEFI/SecureBoot BIOS configuration on the node.
    - `boot_order` (object, optional) — Enable boot-order rendering on the node.
    - `nvme` (object, optional) — Enable NVMe disk devices on the node.
    - `cpu_options` (object, optional) — Declare supported CPU feature flags for the node.
      - `supported` (list of string, required) — List of values supported by this manifest.
    - `cpu_mode` (object, optional) — Declare supported CPU modes for the node.
      - `supported` (list of string, required) — List of values supported by this manifest.
- `next` (string, optional, nullable)
- `previous` (string, optional, nullable)

## Errors

### 400 Bad Request Error

- `detail` (string, required) — Description of an error.
- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `type` (enum, required) — Specific type of a 400 error. * `PROTECTED` - Instance may not be deleted as it is being referenced by other instances. * `VALIDATION` - Validation errors encountered during payload processing.
  - Allowed values: `PROTECTED`, `VALIDATION`
- `protected_instances` (list of object, optional) — Instances which bar the current instance from being deleted. Only defined when `type` is set to `PROTECTED`.
  - `id` (string, required) — ID of the instance.
  - `type` (string, required) — Type of the instance.
- `validation_errors` (map from string to list of object or object or map from string to any or list of object, optional) — Validation errors encountered during payload processing. Only defined when `type` is set to `VALIDATION`.

### 403 Forbidden Error

- `detail` (string, required) — Description of an error.
- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.

### 500 Internal Server Error

- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `code` (string, required) — Error code which identifies the error. Should be provided when opening a support case.
- `detail` (string, optional, default: An unexpected error has occurred. Please contact NVIDIA Air support for further assistance.) — Description of an error.

## Examples

**Response**

```json
{
  "count": 123,
  "results": [
    {
      "id": "string",
      "created": "2024-01-15T09:30:00Z",
      "modified": "2024-01-15T09:30:00Z",
      "org_name": "string",
      "docker_run_parameters": {
        "tmpfs": [
          {
            "path": "string",
            "size_gb": 1
          }
        ],
        "cap_add": [
          "NET_ADMIN"
        ],
        "devices": [
          "/dev/kvm"
        ],
        "volumes": [
          "/sys/fs/cgroup:/sys/fs/cgroup:rw"
        ],
        "environment": {},
        "shm_size_mib": 64,
        "ulimits": {
          "msgqueue": {
            "soft": 819200,
            "hard": 819200
          }
        }
      },
      "emulation_type": "string",
      "platform_information": {},
      "simulator_image": "string",
      "simulator_resources": {
        "cpu": 1.1,
        "memory": 1
      },
      "artifacts_directory": "/artifacts",
      "artifacts_directory_max_size_gb": 10,
      "boot_group": 50,
      "configure_node_properties": {},
      "configure_simulator": {},
      "hardware_emulation": true,
      "simulation_engine_versions": [
        "string"
      ],
      "seccomp_policy_version": "string",
      "apparmor_policy_version": "string",
      "emulation_params": {
        "direct_link_emulation": true,
        "max_network_pci": -1
      },
      "port_mapping_required": true,
      "platform_information_version": "string",
      "hypervisor_api": "libvirt",
      "node_features": {
        "agent_injection": {},
        "cdrom": {},
        "cloud_init": {},
        "bios": {},
        "boot_order": {},
        "nvme": {},
        "cpu_options": {
          "supported": [
            "string"
          ]
        },
        "cpu_mode": {
          "supported": [
            "string"
          ]
        }
      }
    }
  ],
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100"
}
```

**SDK Code**

```python
import requests

url = "https://api.dsx-air.nvidia.com/api/v3/manifests/plugin-images/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dsx-air.nvidia.com/api/v3/manifests/plugin-images/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dsx-air.nvidia.com/api/v3/manifests/plugin-images/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dsx-air.nvidia.com/api/v3/manifests/plugin-images/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.dsx-air.nvidia.com/api/v3/manifests/plugin-images/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.dsx-air.nvidia.com/api/v3/manifests/plugin-images/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dsx-air.nvidia.com/api/v3/manifests/plugin-images/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dsx-air.nvidia.com/api/v3/manifests/plugin-images/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```